"use client";

import { useState, useEffect } from "react";
import Image from "next/image";
import RegistrationForm from "./RegistrationForm";

export default function HeroSection() {
  const [mounted, setMounted] = useState(false);

  useEffect(() => {
    setMounted(true);
  }, []);

  if (!mounted) {
    return (
      <div className="grid md:grid-cols-2 gap-8 md:gap-12 items-center mb-12 md:mb-16">
        <div className="w-full">
          <div className="h-[500px] bg-gray-800 rounded animate-pulse" />
        </div>
        <div className="bg-gray-800 p-4 md:p-6 rounded-lg shadow-lg">
          <div className="h-[400px] bg-gray-700 rounded animate-pulse" />
        </div>
      </div>
    );
  }

  return (
    <div className="grid md:grid-cols-2 gap-8 md:gap-12 items-center mb-12 md:mb-16">
      <div className="w-full">
        <RegistrationForm />
      </div>
      <div className="bg-gray-800 p-4 md:p-6 rounded-lg shadow-lg">
        <h2 className="text-xl md:text-2xl font-semibold mb-4 text-purple-300 text-center">
          AI Bot Trading Performance
        </h2>
        <div className="relative w-full h-64 md:h-80">
          <Image
            src="/images/nigga_bot.jpg"
            alt="AI Bot Trading Performance"
            fill
            className="rounded-lg object-cover"
            priority
          />
        </div>
      </div>
    </div>
  );
}
